Skip to main content
GET
List completion runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10

Page size. Defaults to 10 and is clamped to 1–100.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of runs to skip. Defaults to 0.

Required range: x >= 0

When true, meta.links.* are returned as objects instead of query strings.

Available options:
true,
false
promptApplicationId
string<uuid>

Restrict to runs of this Workstation/App.

promptVersionId
string<uuid>

Restrict to runs of this Canvas version.

promptId
string<uuid>

Restrict to runs of this Canvas (prompt).

tags
string

Tags the run must contain (all of them). JSON-encoded array (["a","b"]) or comma-separated list (a,b).

Response

Paginated list of completion runs

data
Completion run · object[]
required
meta
Pagination metadata · object
required